.post {

  &-single {

    .borderCorner(5,5,5,5);
    padding: 10px;
    background-color: @white;
    box-shadow: @boxShadow;
    width: 100%;
    display: inline-block;
    margin-bottom: 15px;

    &:first-child {
      margin-top: 25px;
    }
    &:last-child {
      margin-bottom: 0;
    }

    &.inside {
      .short-content {
        h1,
        h2 {
          font-size: 24px;
          line-height: 27px;
        }
      }
    }

    .re-strim {
      width: 100%;
      display: inline-block;
      font-size: 14px;
      color: @text38;
      font-weight: 500;
      margin-bottom: 15px;

      .fa {
        margin-right: 4px;
      }

    }

    .vote-content {
      position: relative;
      float: left;
      width: 45px;
      height: 110px;
      line-height: 21px;
      margin-right: 20px;

      &.active_down {
        .voteUp {
          background-color: @baseRed;
          .count,
          .arrow {
            color: @white;
            background-image: none;
            background-color: @baseRed;
          }
        }
      }

      &.active {

        .voteUp {

          .arrow {
            position: relative;
            .borderCorner(2,2,0,0);
            background-color: @greenBase;
            border-color: @greenBase;
            color: @white;

            &:after {
              .borderCorner(3,3,0,0);
              position: absolute;
              content:  '';
              width: 45px;
              height: 33px;
              display: block;
              border: 1px solid @greenBase;
              top: -1px;
              left: -1px;
            }

          }

          .count,
          .arrow {

            background-image: none;
          }

          .dollars {
            color: @baseColor;
          }
        }


      }

      .voteUp {
        .borderCorner(3,3,3,3);
        //background-color: fade(@border, 2%);
        box-shadow: 0 2px 0 fade(@black, 3%);
        border: 1px solid @border;
        width: 45px;
        height: 62px;

        &:hover {
          .trans(0.2s);
          background-color: @greenBase;
          cursor: pointer;
          .count,
          .arrow {
            color: @white;
            background-image: none;
          }
          .dollars {
            color: @baseColor;
          }
        }

        .count,
        .arrow {
          padding-top: 4px;
        }
        .arrow {
          font-size: 17px;
          color: @greenBase;
          width: 100%;
          display: inline-block;
          text-align: center;
          border-bottom: 1px solid @border;
          background-image: linear-gradient(180deg, @white 0,#fcfbfc);
          padding-bottom: 6px;
        }
        .count {
          width: 100%;
          display: inline-block;
          font-weight: 500;
          font-size: 14px;
          text-align: center;
          color: fade(@basePurple, 45%);

        }

        .dollars {
          .borderCorner(3,3,3,3);
          position: relative;
          background-color: fade(@border, 1%);
          width: 59px;
          font-size: 12px;
          text-align: center;
          display: inline-block;
          color: @text38;
          font-weight: 600;
          margin-top: 8px;
        }

      }

    }

    .vote-preview {
      .borderCorner(3,3,3,3);
      //border: 1px solid @border;
      position: absolute;
      width: 45px;
      height: 20px;
      color: fade(@basePurple, 45%);
      display: block;
      text-align: center;
      top: 75px;

      &:hover {
        .trans(0.2s);
        color: @basePurple;
      }

    }

    .image-content {
      .borderCorner(3,3,3,3);
      background-color: @sidebarBackground;
      overflow: hidden;
      width: 165px;
      height: 110px;
      position: relative;
      display: inline-block;
      float: left;
      background-position: center center;
      margin-right: 20px;


      &.blank {
        background-color: @sidebarBackground;
        overflow: hidden;
        position: relative;

        .fa {
          position: absolute;
          font-size: 115px;
          color: @text54;
          bottom: 3px;
          left: 30px;
          opacity: .25;
        }

      }

      &:hover {
        .image-content-ico {
          .trans(0.2s);
          color: @white;
          opacity: 1;
        }
      }

      .image-content-ico {
        position: absolute;
        background-color: fade(@basePurple, 60%);
        border-radius: 50%;
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        font-size: 16px;
        right: 5px;
        bottom: 5px;
        color: fade(@white, 80%);
        opacity: .8;

        .icon-control-play,
        .icon-link {
          position: absolute;
          padding-left: 0;
          left: 9px;
          top: 6px;
        }

        .icon-link {
          left: 8px;
          top: 8px;
          font-size: 14px;
        }

        &.video {
          opacity: .9;
          width: 50px;
          height: 50px;
          line-height: 50px;
          font-size: 22px;
          margin: auto;
          left: 0;
          right: 0;
          top: 0;
          bottom: 0;


          .icon-control-play {
            margin: auto;
            left: 16px;
            top: 13px;
          }


        }



      }


    }

    .short-content {
      h1,
      h2 {
        font-size: 18px;
        line-height: 22px;
        margin-bottom: 8px;
        color: @titleColorBase;
        text-decoration: none;

        a {
          color: @titleColorBase;
          text-decoration: none;
          &:hover {
            color: @greenBase;
            text-decoration: none;
          }
        }

      }
      .text {
        font-size: 14px;
        line-height: 22px;
        color: fade(@text, 70%);
        font-weight: 400;
        text-decoration: none;
        word-wrap: break-word;
        margin-bottom: 10px;
        &:hover {
          .trans(0.2s);
          color: @text;
          text-decoration: none;
        }
      }

      .meta-content {

        font-size: 14px;
        font-weight: 500;
        color: fade(@basePurple, 50%);

        margin-bottom: 8px;
        padding-left: 68px;


        .added,
        .from,
        .name,
        .user-reputation,
        .to,
        .domain,
        .category,
        .time,
        .vote-list,
        .comments {
          color: fade(@basePurple, 50%);
          margin-right: 8px;

          a {
            color: fade(@basePurple, 50%);
            text-decoration: none;
          }

          a:hover,
          &:hover {
            .trans(0.2s);
            color: @greenBase;
            text-decoration: none;
          }


        }

        .added {
          margin-right: 4px;
        }

        .category {
          margin-right: 6px;
        }

        .from,
        .to {
          margin-left: 4px;
          margin-right: 4px;
        }

        .from {
          margin-left: 0;
          margin-right: 6px;
        }

        .from-domain {
          color: fade(@basePurple, 50%);
          text-decoration: none;
          &:hover {
            .trans(0.2s);
            color: @greenBase;
            text-decoration: none;
          }
        }

        .from,
        .domain,
        .to {
          &:hover {
            color: @baseColor;
          }
        }

        .name {
          margin-right: 2px;
        }

        .name:hover + .user-reputation {
          .trans(0.2s);
          color: @baseColor;
        }

        .user-avatar {
          position: relative;
          opacity: .5;
          width: 24px;
          height: 8px;
          display: inline-block;

          .avatar {
            position: absolute;
            border-radius: 50%;
            width: 16px;
            height: 16px;
            background-position: center center;
            top: -5px;
            right: 5px;

          }

        }

        .user-reputation {
          .borderCorner(3,3,3,3);
          background-color: fade(@border, 1%);
          font-size: 13px;
          font-weight: 400;
          padding-left: 3px;
          padding-right: 4px;
          padding-top: 0;
          padding-bottom: 1px;

          &:hover {
            background-color: @baseColor;
            color: @white;
            cursor: help;
          }

        }

        .domain {
          padding-right: 10px;
        }

        .domain,
        .time,
        .vote-list {
          position: relative;
          padding-left: 15px;
          margin-left: 10px;
          margin-right: 0;

          &:hover {
            &:before {
              color: @baseColor;
            }
          }

          //&:before {
          //  position: absolute;
          //  content: '•';
          //  font-size: 18px;
          //  opacity: .8;
          //  left: 0;
          //}
        }

        .time {
          padding-left: 0;
          margin-right: 5px;
        }

        .vote-list {


          &:hover {
            cursor: pointer;

            &:before {
              opacity: .3;
              color: @basePurple;
            }

          }

          &:before {
            color: @basePurple;
            position: absolute;
            content: '•';
            font-size: 18px;
            opacity: .3;
            left: 0;
          }

        }

        .comments {
          .fa-comments-o {
            margin-left: 8px;
            margin-right: 8px;
          }
        }


      }

      .post-icons {
        &.post {
          margin-top: 10px;
        }
        ul {
          display: inline-block;
          margin-bottom: 0;
          padding-left: 0;

          li {
            position: relative;
            display: inline-block;
            list-style: none;
            margin-left: 15px;
            padding-left: 20px;
            font-size: 14px;
            font-weight: 500;
            color: fade(@basePurple, 50%);

            .fa {
              margin-left: 6px;
            }

            &:first-child {
              margin-left: 0;
              padding-left: 0;
              &:after {
                content: '';
              }
            }

            &:last-child {
              color: fade(@text, 15px);
            }

            &:after {
              position: absolute;
              content: '•';
              font-size: 18px;
              opacity: .3;
              left: 0;
              top: 0;
            }


            .restrim,
            .report {
              &:hover {
                .trans(0.2s);
                color: @greenBase;
                text-decoration: none;
                cursor: pointer;
              }
            }

            .report {
              &:hover {
                color: @baseRed;
              }
            }


          }
        }

      }

      .meta-tags {
        padding-left: 68px;

        a {
          position: relative;
          margin-right: 15px;
          color: @basePurple;
          font-weight: 500;
          padding-left: 9px;
          display: inline-block;

          &:last-child {
            margin-right: 0;
          }

          &:before {
            position: absolute;
            content: '#';
            top: 1px;
            left: 0;
          }

          &:hover {
            .trans(@second: 0.2s);
            color: lighten(@basePurple, 15%);
            text-decoration: none;
          }

        }

      }


      &.strimi-post-link {
        display: inline-block;
        width: 575px;
        .meta-content,
        .meta-tags {
          padding-left: 0;
        }
      }

      &.strimi-post-other {
        display: inline-block;
        width: 760px;
        .meta-content,
        .meta-tags {
          padding-left: 0;
        }
      }






    }

    .normal-content,
    .video-content,
    .image-content-type {
      margin-top: 20px;
      padding-top: 25px;
      border-top: 1px solid @border;
    }

    .normal-content {
      width: 100%;
      display: inline-block;
      font-size: 16px;
      line-height: 26px;
      font-weight: 300;
      word-break: break-word;

      &.outer {
        font-size: 16px;
        line-height: 26px;
        font-weight: 300;

        .container {
          width: 100%;
          padding-left: 0;
          padding-right: 0;
          text-align: left;
        }

        .pull-left {
          float: left;
          padding-right: 1rem;
          max-width: 50%;
        }
        .pull-right {
          float: right;
          padding-left: 1rem;
          max-width: 50%;
        }

        table {
          &:extend(.table-striped all);
          &:extend(.table-bordered all);
          margin-top: 15px;
          tbody {
            tr{
              td {
                padding: 4px 12px;
                word-wrap: break-word;
                vertical-align: middle;
                word-break: normal;
              }
            }
          }
        }

        p {
          &:first-child {
            margin-top: 0;
          }
          &:last-child {
            margin-bottom: 0;
          }
          width: 100%;
          display: inline-block;
        }

        h1, h2, h3, h4, h5 {
          width: 100%;
          display: inline-block;
        }

        img {
          max-width: 100%;
        }
        .image-container {
          img {
            max-width: 100%;
          }
        }

      }

      .image-container {
        width: 100%;
        display: inline-block;
        font-weight: 300;
        margin-bottom: 15px;

        .image-source {
          width: 100%;
          display: inline-block;
          font-weight: 300;
          text-align: center;

          .source {
            display: inline-block;
            margin-right: 5px;
          }

        }

      }

      h1, h2, h3, h4, h5 {
        font-size: 20px;
        font-weight: 600;
        margin-top: 15px;
      }

      p {
        margin: 0;
        margin-top: 10px;
        margin-bottom: 10px;

        &:first-child {
          margin-top: 0;
        }
        &:last-child {
          margin-bottom: 0;
        }

      }

      img {
        display: inline-block;
        vertical-align: middle;
        width: auto;
        max-width: 100%;
        height: auto;
        max-height: none;
      }

      pre {
        border-color: transparent;
        &:first-child {
          margin-top: 10px;
        }
      }

      .media-preview {
        .thumbail {
          .borderCorner(3,3,3,3);
          display: inline-block;
          width: 490px;
          height: 300px;
          background-size: cover;
          background-position: center center;

        }
        iframe {
          .borderCorner(3,3,3,3);
          width: 490px;
          height: 300px;
          display: inline-block;
        }
      }
      .media-source {

        span{
          font-size: 13px;
          color: @text54;
          margin-right: 8px;
        }
        a {
          font-size: 13px;
        }

      }

    }

    .video-content {
      background-color: fade(@border, 2%);
      display: inline-block;
      width: 100%;
      height: 492px;
      padding-top: 15px;

      &.video-outer {
        border-top: 0 solid transparent;
        padding-top: 0;
        margin-top: 5px;
        margin-bottom: 45px;

        .video-content-type-meta {
          width: 100%;
          display: inline-block;
          margin-bottom: 20px;

          ul {
            margin-top: 10px;
          }
        }

      }

      iframe {
        width: 100%;
        height: 100%;
      }

      .video-embed,
      .video-content-thumbnail {
        .borderCorner(5,5,5,5);
        position: relative;
        background-size: cover;
        background-position: center center;
        border: 2px solid transparent;
        width: 100%;
        height: 100%;

        &:hover {
          .trans(0.2s);
          cursor: pointer;
          .play-icon {
            .trans(0.2s);
            background-color: fade(@greenBase, 80%);
            color: @white;
          }

        }

        .play-icon {
          position: absolute;
          margin: auto;
          top: 0;
          left: 0;
          bottom: 0;
          right: 0;
          background-color: fade(@basePurple, 60%);
          border-radius: 50%;
          width: 90px;
          height: 90px;
          line-height: 90px;
          text-align: center;
          font-size: 36px;
          color: @white;

          .icon-control-play {
            position: absolute;
            margin: auto;
            left: 0;
            right: 0;
            top: 26px;
          }

        }

      }

      .video-content-thumbnail {
        .borderCorner(0,0,0,0);
      }

      .video-embed {
        display: none;
        &.active {
          display: inline-block;
        }
      }

    }

    .image-content-type {
      .borderCorner(0,0,5,5);
      position: relative;
      background-color: fade(@border, 2%);
      text-align: center;

      .ico-gif {
        position: absolute;
        margin: auto;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        background-color: fade(@basePurple, 60%);
        border: 2px dashed @white;
        border-radius: 50%;
        width: 45px;
        height: 45px;
        line-height: 39px;
        text-align: center;
        font-size: 16px;
        color: @white;
      }

      img {
        .borderCorner(5,5,5,5);

      }

    }

    .video-content-type {
      &-meta {
        width: 100%;
        text-align: center;
      }
    }

    .video-content-type,
    .image-content-type {
      &-meta {
        ul {
          width: 100%;
          display: inline-block;
          margin-top: 20px;
          margin-bottom: 20px;
          padding-left: 0;
          li {
            position: relative;
            display: inline-block;
            list-style: none;

            font-weight: 500;
            color: @text54;
            font-size: 14px;

            margin-right: 15px;
            padding-right: 15px;

            &:after {
              position: absolute;
              content: '•';
              opacity: .5;
              right: -2px;
            }

            .source {
              margin-right: 5px;
            }

            &:last-child {
              margin-right: 0;
              &:after {
                content: '';
              }
            }
          }
        }
      }

    }

  }


}
.posts-next,
.account-votes-next,
.account-comments-next,
.account-follows-next,
.account-ranking-next,
.account-transfers-next {
  position: relative;
  display: inline-block;
  width: 100%;
  margin-top: 25px;
  margin-bottom: 10px;
}

.account-follows-next {
  margin-top: 0;
}